# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Types | Public Member Functions

# vl::VLXVisitorLinkMapper Class Reference

Compiles the link-map which associates a VLXStructure to it's ID, to be used later by other visitors. More...

`#include <VLXVisitorLinkMapper.hpp>`

Inheritance diagram for vl::VLXVisitorLinkMapper:

List of all members.

## Public Types

enum | EError { NoError, DuplicateID }

## Public Member Functions

| VLXVisitorLinkMapper (std::map< std::string, ref< VLXStructure > > *map=NULL)
void | setLinkMap (std::map< std::string, ref< VLXStructure > > *map)
void | declareID (VLXStructure *obj)
virtual void | visitStructure (VLXStructure *obj)
virtual void | visitList (VLXList *list)
virtual void | visitArray (VLXArrayInteger *)
virtual void | visitArray (VLXArrayReal *)
EError | error () const
void | setError (EError err)

## Detailed Description

Compiles the link-map which associates a VLXStructure to it's ID, to be used later by other visitors.

Can be called multiple times.

Definition at line 40 of file VLXVisitorLinkMapper.hpp.

## Member Enumeration Documentation

enum vl::VLXVisitorLinkMapper::EError

Enumerator:

  NoError |
  DuplicateID |

Definition at line 45 of file VLXVisitorLinkMapper.hpp.

## Constructor & Destructor Documentation

vl::VLXVisitorLinkMapper::VLXVisitorLinkMapper | ( | std::map< std::string, ref< VLXStructure > > * | map = `NULL` ) | `[inline]`

Definition at line 52 of file VLXVisitorLinkMapper.hpp.

References NoError.

## Member Function Documentation

void vl::VLXVisitorLinkMapper::setLinkMap | ( | std::map< std::string, ref< VLXStructure > > * | map ) | `[inline]`

Definition at line 58 of file VLXVisitorLinkMapper.hpp.

void vl::VLXVisitorLinkMapper::declareID | ( | VLXStructure * | obj ) | `[inline]`

Definition at line 63 of file VLXVisitorLinkMapper.hpp.

References DuplicateID, error(), vl::VLXTaggedValue::tag(), and vl::VLXStructure::uid().

Referenced by visitStructure().

virtual void vl::VLXVisitorLinkMapper::visitStructure | ( | VLXStructure * | obj ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 81 of file VLXVisitorLinkMapper.hpp.

References declareID(), vl::VLXVisitor::isVisited(), vl::VLXValue::List, vl::VLXValue::Structure, and vl::VLXStructure::value().

virtual void vl::VLXVisitorLinkMapper::visitList | ( | VLXList * | list ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 98 of file VLXVisitorLinkMapper.hpp.

References vl::VLXVisitor::isVisited(), vl::VLXValue::List, vl::VLXValue::Structure, vl::VLXList::value(), and vl::Log::warning().

virtual void vl::VLXVisitorLinkMapper::visitArray | ( | VLXArrayInteger * | ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 125 of file VLXVisitorLinkMapper.hpp.

virtual void vl::VLXVisitorLinkMapper::visitArray | ( | VLXArrayReal * | ) | `[inline, virtual]`

Reimplemented from vl::VLXVisitor.

Definition at line 127 of file VLXVisitorLinkMapper.hpp.

EError vl::VLXVisitorLinkMapper::error | ( | ) | const`[inline]`

Definition at line 129 of file VLXVisitorLinkMapper.hpp.

Referenced by declareID(), and vl::VLXLinker::link().

void vl::VLXVisitorLinkMapper::setError | ( | EError | err ) | `[inline]`

Definition at line 131 of file VLXVisitorLinkMapper.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXVisitorLinkMapper.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.